#ifndef ACCELEROMETER_H
#define ACCELEROMETER_H

#include "GPIO.h"
#include "stm32f1xx_ll_adc.h"

void Accelerometer_conf(ADC_TypeDef *adc, GPIO_TypeDef * gpio, int pinx, int piny);

void Accelerometer_start(ADC_TypeDef *adc);

int Accelerometer_getAngle(ADC_TypeDef *adc, int channel);

#endif
